开发者社区 > 云原生 > 中间件 > 正文

springboot dubbo使用的是2.6.2,结合seata1.5.1,报错要怎么解决啊?

springboot dubbo使用的是2.6.2,结合seata1.5.1,报错com.alibaba.dubbo.remoting.RemotingException: java.lang.NoSuchMethodError: com.alibaba.dubbo.rpc.RpcContext.getServerContext()Lcom/alibaba/dubbo/rpc/RpcContext;

展开
收起
哈喽!小陈 2022-06-28 12:46:15 1014 0
1 条回答
写回答
取消 提交回答
  • seata降级至1.4.2应该是可以的,或者升级到2.7.1的dubbo 此答案整理自钉钉群“3群-Seata 开源讨论群”

    2022-06-28 13:43:50
    赞同 展开评论 打赏

为企业提供高效、稳定、易扩展的中间件产品。

热门讨论

热门文章

相关电子书

更多
Dubbo开源现状与2.7规划 立即下载
Dubbo分布式服务治理实战 立即下载
《Dubbo 3.0 前瞻》 立即下载